Class Fox::FXMDIChild

In: | FXMDIChild.rb
Parent: | FXComposite

The MDI child window contains the application work area in a Multiple Document Interface application.

### Events

The following messages are sent by FXMDIChild to its target:

`SEL_LEFTBUTTONPRESS`: | sent when the left mouse button goes down; the message data is an FXEvent instance.
`SEL_LEFTBUTTONRELEASE`: | sent when the left mouse button goes up; the message data is an FXEvent instance.
`SEL_MIDDLEBUTTONPRESS`: | sent when the middle mouse button goes down; the message data is an FXEvent instance.
`SEL_MIDDLEBUTTONRELEASE`: | sent when the middle mouse button goes up; the message data is an FXEvent instance.
`SEL_RIGHTBUTTONPRESS`: | sent when the right mouse button goes down; the message data is an FXEvent instance.
`SEL_RIGHTBUTTONRELEASE`: | sent when the right mouse button goes up; the message data is an FXEvent instance.
`SEL_SELECTED`: | sent when the window is selected; the message data is a reference to the MDI client’s previous active child window, or `nil` if there was no active child window.
`SEL_DESELECTED`: | sent when the window is deselected; the message data is a reference to the MDI client’s new active child window, or `nil` if there is no active child window.
`SEL_MAXIMIZE`: | sent when the window is maximized
`SEL_MINIMIZE`: | sent when the window is minimized
`SEL_RESTORE`: | sent when the window is restored to its normal size and position
`SEL_CLOSE`: | sent when the user is trying to close this window. The message handler for this message should return 1 if it’s OK to close the window, otherwise it should return zero.
`SEL_CLOSEALL`: | sent when the user is trying to close all of the MDI child windows. The message handler for this message should return 1 if it’s OK to close all of the windows, otherwise it should return zero.
`SEL_DELETE`: | sent immediately before this window is destroyed

### MDI Child Window styles

`MDI_NORMAL`: | Normal display mode
`MDI_MAXIMIZED`: | Window appears maximized
`MDI_MINIMIZED`: | Window is iconified or minimized

Methods

getMDINext getMDIPrev maximize maximized? minimize minimized? new restore

Attributes

baseColor | [RW] | Base color [FXColor]
borderColor | [RW] | Border color [FXColor]
contentWindow | [R] | Content window [FXWindow]
font | [RW] | Title font [FXFont]
hiliteColor | [RW] | Highlight color [FXColor]
iconHeight | [RW] | Iconified height [Integer]
iconWidth | [RW] | Iconified width [Integer]
iconX | [RW] | Iconified position x-coordinate [Integer]
iconY | [RW] | Iconified position y-coordinate [Integer]
normalHeight | [RW] | Normal (restored) height [Integer]
normalWidth | [RW] | Normal (restored) width [Integer]
normalX | [RW] | Normal (restored) position x-coordinate [Integer]
normalY | [RW] | Normal (restored) position y-coordinate [Integer]
shadowColor | [RW] | Shadow color [FXColor]
title | [RW] | Window title [String]
titleBackColor | [RW] | Title background color [FXColor]
titleColor | [RW] | Title color [FXColor]
windowIcon | [RW] | Window icon [FXIcon]
windowMenu | [RW] | Window menu [FXPopup]

Public Class methods

new(p, name, ic=nil, mn=nil, opts=0, x=0, y=0, w=0, h=0) {|theMDIChild| ...}

Construct MDI Child window with given name and icon

Public Instance methods

getMDINext()

Get next MDI Child

getMDIPrev()

Get previous MDI Child

minimize(notify=false)

Minimize this window. If notify is `true`, …

maximize(notify=false)

Maximize this window. If notify is `true`, …

restore(notify=false)

Restore this window to its normal position and size. If notify is `true`, …

maximized?()

Return `true` if maximized

minimized?()

Return `true` if minimized